
local light = love.graphics.newShader [[
		extern float x, y, size;
		vec4 effect(vec4 global_color, Image texture, vec2 tc, vec2 pc )
		{vec4 pixel;
		float root = sqrt(16*(x-tc.x)*(x-tc.x)/9+(y-tc.y)*(y-tc.y));
			{ pixel = Texel(texture, vec2( tc.x, tc.y ) );
			pixel.r = clamp(pixel.r-0.65*root/size,0,1);
			pixel.g = clamp(pixel.g-0.65*root/size,0,1);
			pixel.b = clamp(pixel.b-0.65*root/size,0,1);
			pixel.a = 0.5;}
			return pixel;
			}
		]]
return light
